package com.fastbee.rechargecard.service;

import java.util.List;
import com.fastbee.rechargecard.domain.NgIrrigationArea;

/**
 * 灌区Service接口
 *
 * @author kerwincui
 * @date 2024-12-26
 */
public interface INgIrrigationAreaService
{
    /**
     * 查询灌区
     *
     * @param id 灌区主键
     * @return 灌区
     */
    public NgIrrigationArea selectNgIrrigationAreaById(Long id);

    /**
     * 查询灌区列表
     *
     * @param ngIrrigationArea 灌区
     * @return 灌区集合
     */
    public List<NgIrrigationArea> selectNgIrrigationAreaList(NgIrrigationArea ngIrrigationArea);

    /**
     * 新增灌区
     *
     * @param ngIrrigationArea 灌区
     * @return 结果
     */
    public int insertNgIrrigationArea(NgIrrigationArea ngIrrigationArea);

    /**
     * 修改灌区
     *
     * @param ngIrrigationArea 灌区
     * @return 结果
     */
    public int updateNgIrrigationArea(NgIrrigationArea ngIrrigationArea);

    /**
     * 批量删除灌区
     *
     * @param ids 需要删除的灌区主键集合
     * @return 结果
     */
    public int deleteNgIrrigationAreaByIds(Long[] ids);

    /**
     * 删除灌区信息
     *
     * @param id 灌区主键
     * @return 结果
     */
    public int deleteNgIrrigationAreaById(Long id);
}
